aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorAxel Spoerl <axel.spoerl@qt.io>2022-06-21 10:19:02 +0200
committerQt Cherry-pick Bot <cherrypick_bot@qt-project.org>2022-07-17 07:14:07 +0000
commitfc81f627ce68410f8462bb7450ff727b1fa9d77a (patch)
treeea97551cfc6128de68f37184f2726d79bb3bb5df
parent531c63fb3eba708be776caf6101e2e4fd049afd3 (diff)
Provision flite library on openSuSE Leap 15.3
Add flite install script for linux and integrate it in provisioning for openSuSE Leap 15.3. Change-Id: Ie99271b115ba5c7b1f0177e09f38a4729de2b6cd Reviewed-by: Volker Hilsheimer <volker.hilsheimer@qt.io> (cherry picked from commit 171a3e85f712b630590719efa8dd6980a8dc1bd1) Reviewed-by: Qt Cherry-pick Bot <cherrypick_bot@qt-project.org>
-rwxr-xr-xcoin/provisioning/common/linux/install-flite.sh57
-rwxr-xr-xcoin/provisioning/qtci-linux-openSUSE-15.3-x86_64/40-install-flite.sh6
2 files changed, 63 insertions, 0 deletions
diff --git a/coin/provisioning/common/linux/install-flite.sh b/coin/provisioning/common/linux/install-flite.sh
new file mode 100755
index 00000000..5e9eeac3
--- /dev/null
+++ b/coin/provisioning/common/linux/install-flite.sh
@@ -0,0 +1,57 @@
+#!/usr/bin/env bash
+
+#############################################################################
+##
+## Copyright (C) 2022 The Qt Company Ltd.
+## Contact: http://www.qt.io/licensing/
+##
+## This file is part of the provisioning scripts of the Qt Toolkit.
+##
+## $QT_BEGIN_LICENSE:LGPL21$
+## Commercial License Usage
+## Licensees holding valid commercial Qt licenses may use this file in
+## accordance with the commercial license agreement provided with the
+## Software or, alternatively, in accordance with the terms contained in
+## a written agreement between you and The Qt Company. For licensing terms
+## and conditions see http://www.qt.io/terms-conditions. For further
+## information use the contact form at http://www.qt.io/contact-us.
+##
+## GNU Lesser General Public License Usage
+## Alternatively, this file may be used under the terms of the GNU Lesser
+## General Public License version 2.1 or version 3 as published by the Free
+## Software Foundation and appearing in the file LICENSE.LGPLv21 and
+## LICENSE.LGPLv3 included in the packaging of this file. Please review the
+## following information to ensure the GNU Lesser General Public License
+## requirements will be met: https://www.gnu.org/licenses/lgpl.html and
+## http://www.gnu.org/licenses/old-licenses/lgpl-2.1.html.
+##
+## As a special exception, The Qt Company gives you certain additional
+## rights. These rights are described in The Qt Company LGPL Exception
+## version 1.1, included in the file LGPL_EXCEPTION.txt in this package.
+##
+## $QT_END_LICENSE$
+##
+#############################################################################
+
+# This script installs flite from sources.
+# Requires make, GCC and git to be in PATH.
+set -ex
+
+# shellcheck source=../unix/DownloadURL.sh
+source "${BASH_SOURCE%/*}/../unix/DownloadURL.sh"
+# shellcheck source=../unix/SetEnvVar.sh
+source "${BASH_SOURCE%/*}/../unix/SetEnvVar.sh"
+
+repName="flite"
+gitUrl="https://github.com/festvox/$repName.git"
+tmpdir="/tmp"
+repDir="$tmpdir/$repName"
+prefix="/usr"
+rm -rf $repDir
+cd $tmpdir
+git clone $gitUrl >/dev/null
+cd $repDir
+git checkout v2.2 > /dev/null
+./configure --with-pic --enable-shared --prefix=$prefix > /dev/null
+make -j$(nproc) > /dev/null && sudo make install > /dev/null
+rm -rf $repDir
diff --git a/coin/provisioning/qtci-linux-openSUSE-15.3-x86_64/40-install-flite.sh b/coin/provisioning/qtci-linux-openSUSE-15.3-x86_64/40-install-flite.sh
new file mode 100755
index 00000000..67ed1991
--- /dev/null
+++ b/coin/provisioning/qtci-linux-openSUSE-15.3-x86_64/40-install-flite.sh
@@ -0,0 +1,6 @@
+#!/usr/bin/env bash
+
+set -ex
+
+BASEDIR=$(dirname "$0")
+"$BASEDIR/../common/linux/install-flite.sh"